/*
 * gpsd.h -- header file for the GPSD client
 */

#ifndef _GPSD_H
#define _GPSD_H


/*
 * GPSD client states
 */
#define GPSD_STATE_DISCONNECTED		0
#define GPSD_STATE_CONNECTED		1
#define GPSD_STATE_RETRY_WAIT		2


/*
 * exported functions
 */
extern int  gpsd_init(void);
extern void gpsd_run(void);
extern void gpsd_second(void);
extern void gpsd_close(void);
extern int  gpsd_state(void);

#endif

